# wrapper.irc
#
# Some scripts require things like being in a directory in your LOAD_PATH
# ~/.such as irc or similar locations.  In order to accomidate these
# scripts, it may be necessary to load a wrapper script first.  This wrapper
# will add a pair of directories to your path.  For most scripts, changing
# the name of the first variable should do the trick.

^assign _wrapper.name #SCRIPT#
^assign _wrapper.conf /etc/epic4
^assign _wrapper.dir /usr/share/epic4

unless (match($_wrapper.conf/$_wrapper.name $split(: $LOAD_PATH))) {
  ^set LOAD_PATH $LOAD_PATH:$_wrapper.conf/$_wrapper.name
}
unless (match($_wrapper.dir/$_wrapper.name $split(: $LOAD_PATH))) {
  ^set LOAD_PATH $LOAD_PATH:$_wrapper.dir/$_wrapper.name
}


## Anything else your script needs, put it here...


load $_wrapper.name\-real.irc
^purge _wrapper

